Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMF (Graphical Modeling Framework) » org.w3c.dom.events dependency issue with eclipse 2023-06((problem with gmf tooling running i eclipse 2023-6 java11)
org.w3c.dom.events dependency issue with eclipse 2023-06( [message #1860280] Wed, 26 July 2023 13:53
pavan kumar is currently offline pavan kumarFriend
Messages: 5
Registered: July 2023
Junior Member
I am using eclipse 2023-06 build with java11. We are using gmf-tooling which is releases-3.3.1a dated 2016-11-22 with latest EMF plugin that comes with eclipse 2023-06.

I am getting following error. I see there are two versions of org.apache.batik.*
Looks like, GMF runtime and GMF tooling downloading different versions.
org.w3c.dom.events api is no more available in java11.
How can we use java deprecated api in java11.?

org.osgi.framework.BundleException: Could not resolve module: com.intervoice.gtf.model.diagram [1066]
Unresolved requirement: Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.printing.render
-> Bundle-SymbolicName: org.eclipse.gmf.runtime.diagram.ui.printing.render; bundle-version="1.9.0.202305230839"
org.eclipse.gmf.runtime.diagram.ui.printing.render [604]
Unresolved requirement: Require-Bundle: org.eclipse.gmf.runtime.draw2d.ui.render.awt; bundle-version="[1.2.0,2.0.0)"
-> Bundle-SymbolicName: org.eclipse.gmf.runtime.draw2d.ui.render.awt; bundle-version="1.11.0.202305230839"; singleton:="true"
org.eclipse.gmf.runtime.draw2d.ui.render.awt [613]
Unresolved requirement: Require-Bundle: org.apache.batik.transcoder; bundle-version="1.16.0"; visibility:="reexport"
-> Bundle-SymbolicName: org.apache.batik.transcoder; bundle-version="1.16.0.v20221027-0840"
org.apache.batik.transcoder [75]
Unresolved requirement: Import-Package: org.apache.batik.bridge; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.bridge; bundle-symbolic-name="org.apache.batik.bridge"; bundle-version="1.16.0.v20230210-1249"; version="1.16.0"; uses:="org.apache.batik.anim,org.apache.batik.anim.dom,org.apache.batik.anim.timing,org.apache.batik.anim.values,org.apache.batik.constants,org.apache.batik.css.engine,org.apache.batik.css.engine.value,org.apache.batik.css.engine.value.svg,org.apache.batik.css.engine.value.svg12,org.apache.batik.dom,org.apache.batik.dom.events,org.apache.batik.dom.svg,org.apache.batik.dom.xbl,org.apache.batik.ext.awt,org.apache.batik.ext.awt.color,org.apache.batik.ext.awt.geom,org.apache.batik.ext.awt.image,org.apache.batik.ext.awt.image.renderable,org.apache.batik.ext.awt.image.spi,org.apache.batik.gvt,org.apache.batik.gvt.event,org.apache.batik.gvt.filter,org.apache.batik.gvt.font,org.apache.batik.gvt.renderer,org.apache.batik.gvt.text,org.apache.batik.i18n,org.apache.batik.parser,org.apache.batik.script,org.apache.batik.script.rhino,org.apache.batik.util,org.apache.batik.w3c.dom,org.apache.xmlgraphics.java2d.color,org.mozilla.javascript,org.w3c.dom,org.w3c.dom.css,org.w3c.dom.events,org.w3c.dom.svg"
org.apache.batik.bridge [55]
Unresolved requirement: Import-Package: org.mozilla.javascript; resolution:="optional"
Unresolved requirement: Import-Package: org.apache.batik.script.rhino; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.script.rhino; bundle-symbolic-name="org.apache.batik.script"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.i18n,org.mozilla.javascript"
org.apache.batik.script [71]
Unresolved requirement: Import-Package: org.mozilla.javascript; version="1.7.7"; resolution:="optional"
Unresolved requirement: Import-Package: org.python.core; version="2.7.0"; resolution:="optional"
Unresolved requirement: Import-Package: org.python.util; version="2.7.0"; resolution:="optional"
Unresolved requirement: Import-Package: org.apache.batik.anim.dom; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.anim.dom; bundle-symbolic-name="org.apache.batik.anim"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.anim.values,org.apache.batik.css.dom,org.apache.batik.css.engine,org.apache.batik.css.parser,org.apache.batik.dom,org.apache.batik.dom.events,org.apache.batik.dom.svg,org.apache.batik.dom.util,org.apache.batik.dom.xbl,org.apache.batik.i18n,org.apache.batik.parser,org.w3c.dom,org.w3c.dom.css,org.w3c.dom.stylesheets,org.w3c.dom.svg,org.w3c.dom.views,org.xml.sax"
org.apache.batik.anim [53]
Unresolved requirement: Import-Package: org.apache.batik.dom.svg; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.dom.svg; bundle-symbolic-name="org.apache.batik.dom.svg"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"
org.apache.batik.dom.svg [63]
Unresolved requirement: Import-Package: org.apache.batik.parser; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.parser; bundle-symbolic-name="org.apache.batik.parser"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.ext.awt.geom,org.apache.batik.i18n,org.apache.batik.util.io,org.w3c.dom"
org.apache.batik.parser [69]
No resolution report for the bundle. Unresolved requirement: Import-Package: org.apache.batik.dom.svg12; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.dom.svg12; bundle-symbolic-name="org.apache.batik.dom.svg"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"
Unresolved requirement: Import-Package: org.apache.batik.parser; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.parser; bundle-symbolic-name="org.apache.batik.parser"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.ext.awt.geom,org.apache.batik.i18n,org.apache.batik.util.io,org.w3c.dom"
Unresolved requirement: Import-Package: org.apache.batik.anim.dom; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.anim.dom; bundle-symbolic-name="org.apache.batik.anim"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.anim.values,org.apache.batik.css.dom,org.apache.batik.css.engine,org.apache.batik.css.parser,org.apache.batik.dom,org.apache.batik.dom.events,org.apache.batik.dom.svg,org.apache.batik.dom.util,org.apache.batik.dom.xbl,org.apache.batik.i18n,org.apache.batik.parser,org.w3c.dom,org.w3c.dom.css,org.w3c.dom.stylesheets,org.w3c.dom.svg,org.w3c.dom.views,org.xml.sax"
Unresolved requirement: Import-Package: org.apache.batik.dom.svg12; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.dom.svg12; bundle-symbolic-name="org.apache.batik.dom.svg"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"
Unresolved requirement: Import-Package: org.apache.batik.dom.svg; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.dom.svg; bundle-symbolic-name="org.apache.batik.dom.svg"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"
Unresolved requirement: Import-Package: org.apache.batik.script; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.script; bundle-symbolic-name="org.apache.batik.script"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.i18n,org.w3c.dom"
Unresolved requirement: Import-Package: org.apache.batik.anim.values; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.anim.values; bundle-symbolic-name="org.apache.batik.anim"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.anim.dom,org.apache.batik.dom.svg"
Unresolved requirement: Import-Package: org.apache.batik.parser; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.parser; bundle-symbolic-name="org.apache.batik.parser"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.ext.awt.geom,org.apache.batik.i18n,org.apache.batik.util.io,org.w3c.dom"
Unresolved requirement: Import-Package: org.apache.batik.anim.timing; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.anim.timing; bundle-symbolic-name="org.apache.batik.anim"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.anim,org.apache.batik.i18n,org.apache.batik.parser,org.w3c.dom"
Unresolved requirement: Import-Package: org.apache.batik.anim; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.anim; bundle-symbolic-name="org.apache.batik.anim"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.anim.dom,org.apache.batik.anim.timing,org.apache.batik.anim.values,org.apache.batik.ext.awt.geom,org.w3c.dom"
Unresolved requirement: Import-Package: org.apache.batik.svggen; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.svggen; bundle-symbolic-name="org.apache.batik.svggen"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="javax.swing,org.apache.batik.constants,org.apache.batik.ext.awt.g2d,org.apache.batik.util,org.w3c.dom"
org.apache.batik.svggen [73]
Unresolved requirement: Import-Package: org.apache.batik.anim.dom; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.anim.dom; bundle-symbolic-name="org.apache.batik.anim"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.anim.values,org.apache.batik.css.dom,org.apache.batik.css.engine,org.apache.batik.css.parser,org.apache.batik.dom,org.apache.batik.dom.events,org.apache.batik.dom.svg,org.apache.batik.dom.util,org.apache.batik.dom.xbl,org.apache.batik.i18n,org.apache.batik.parser,org.w3c.dom,org.w3c.dom.css,org.w3c.dom.stylesheets,org.w3c.dom.svg,org.w3c.dom.views,org.xml.sax"
Unresolved requirement: Import-Package: org.apache.batik.bridge.svg12; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.bridge.svg12; bundle-symbolic-name="org.apache.batik.bridge"; bundle-version="1.16.0.v20230210-1249"; version="1.16.0"; uses:="javax.swing.event,javax.xml.namespace,javax.xml.xpath,org.apache.batik.anim.dom,org.apache.batik.bridge,org.apache.batik.dom,org.apache.batik.dom.events,org.apache.batik.dom.svg12,org.apache.batik.dom.util,org.apache.batik.dom.xbl,org.apache.batik.gvt,org.apache.batik.gvt.event,org.apache.batik.gvt.flow,org.apache.batik.gvt.text,org.apache.batik.parser,org.apache.batik.script,org.apache.batik.util,org.w3c.dom,org.w3c.dom.events,org.w3c.dom.svg"
Unresolved requirement: Require-Bundle: org.apache.batik.dom.svg; bundle-version="1.16.0"
-> Bundle-SymbolicName: org.apache.batik.dom.svg; bundle-version="1.16.0.v20221027-0840"
Unresolved requirement: Require-Bundle: org.apache.batik.bridge; bundle-version="1.16.0"
-> Bundle-SymbolicName: org.apache.batik.bridge; bundle-version="1.16.0.v20230210-1249"
Unresolved requirement: Require-Bundle: org.apache.batik.svggen; bundle-version="1.16.0"
-> Bundle-SymbolicName: org.apache.batik.svggen; bundle-version="1.16.0.v20221027-0840"
Unresolved requirement: Require-Bundle: org.apache.batik.anim; bundle-version="1.16.0"
-> Bundle-SymbolicName: org.apache.batik.anim; bundle-version="1.16.0.v20221027-0840"
Unresolved requirement: Require-Bundle: org.apache.batik.codec; bundle-version="1.16.0"
-> Bundle-SymbolicName: org.apache.batik.codec; bundle-version="1.16.0.v20221027-0840"
org.apache.batik.codec [57]
Unresolved requirement: Import-Package: org.apache.batik.bridge; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.bridge; bundle-symbolic-name="org.apache.batik.bridge"; bundle-version="1.16.0.v20230210-1249"; version="1.16.0"; uses:="org.apache.batik.anim,org.apache.batik.anim.dom,org.apache.batik.anim.timing,org.apache.batik.anim.values,org.apache.batik.constants,org.apache.batik.css.engine,org.apache.batik.css.engine.value,org.apache.batik.css.engine.value.svg,org.apache.batik.css.engine.value.svg12,org.apache.batik.dom,org.apache.batik.dom.events,org.apache.batik.dom.svg,org.apache.batik.dom.xbl,org.apache.batik.ext.awt,org.apache.batik.ext.awt.color,org.apache.batik.ext.awt.geom,org.apache.batik.ext.awt.image,org.apache.batik.ext.awt.image.renderable,org.apache.batik.ext.awt.image.spi,org.apache.batik.gvt,org.apache.batik.gvt.event,org.apache.batik.gvt.filter,org.apache.batik.gvt.font,org.apache.batik.gvt.renderer,org.apache.batik.gvt.text,org.apache.batik.i18n,org.apache.batik.parser,org.apache.batik.script,org.apache.batik.script.rhino,org.apache.batik.util,org.apache.batik.w3c.dom,org.apache.xmlgraphics.java2d.color,org.mozilla.javascript,org.w3c.dom,org.w3c.dom.css,org.w3c.dom.events,org.w3c.dom.svg"
Unresolved requirement: Import-Package: org.apache.batik.transcoder; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.transcoder; bundle-symbolic-name="org.apache.batik.transcoder"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.anim.dom,org.apache.batik.bridge,org.apache.batik.dom.util,org.apache.batik.gvt,org.apache.batik.svggen,org.apache.batik.util,org.w3c.dom,org.xml.sax"
Unresolved requirement: Import-Package: org.apache.batik.transcoder.image; version="[1.16.0,2.0.0)"
-> Export-Package: org.apache.batik.transcoder.image; bundle-symbolic-name="org.apache.batik.transcoder"; bundle-version="1.16.0.v20221027-0840"; version="1.16.0"; uses:="org.apache.batik.bridge,org.apache.batik.gvt.renderer,org.apache.batik.transcoder,org.w3c.dom"
Unresolved requirement: Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.render
-> Bundle-SymbolicName: org.eclipse.gmf.runtime.diagram.ui.render; bundle-version="1.8.0.202305230839"; singleton:="true"
org.eclipse.gmf.runtime.diagram.ui.render [608]
Unresolved requirement: Require-Bundle: org.eclipse.gmf.runtime.draw2d.ui.render.awt; bundle-version="[1.2.0,2.0.0)"
-> Bundle-SymbolicName: org.eclipse.gmf.runtime.draw2d.ui.render.awt; bundle-version="1.11.0.202305230839"; singleton:="true"
Unresolved requirement: Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.printing.render; bundle-version="[1.2.0,2.0.0)"
-> Bundle-SymbolicName: org.eclipse.gmf.runtime.diagram.ui.printing.render; bundle-version="1.9.0.202305230839"
Bundle was not resolved because of a uses constraint violation.
org.apache.felix.resolver.reason.ReasonException: Uses constraint violation. Unable to resolve resource org.eclipse.gmf.runtime.diagram.ui.printing.render [osgi.identity; type="osgi.bundle"; version:Version="1.9.0.202305230839"; osgi.identity="org.eclipse.gmf.runtime.diagram.ui.printing.render"] because it is exposed to package 'org.w3c.dom.events' from resources org.eclipse.osgi [osgi.identity; type="osgi.bundle"; version:Version="3.18.400.v20230509-2241"; osgi.identity="org.eclipse.osgi"; singleton:="true"] and org.w3c.dom.events [osgi.identity; type="osgi.bundle"; version:Version="3.0.0.draft20060413_v201105210656"; osgi.identity="org.w3c.dom.events"] via two dependency chains.

Chain 1:
org.eclipse.gmf.runtime.diagram.ui.printing.render [osgi.identity; type="osgi.bundle"; version:Version="1.9.0.202305230839"; osgi.identity="org.eclipse.gmf.runtime.diagram.ui.printing.render"]
require: (&(osgi.wiring.bundle=org.eclipse.gmf.runtime.diagram.ui)(&(bundle-version>=1.2.0)(!(bundle-version>=2.0.0))))
|
provide: osgi.wiring.bundle: org.eclipse.gmf.runtime.diagram.ui
org.eclipse.osgi [osgi.identity; type="osgi.bundle"; version:Version="3.18.400.v20230509-2241"; osgi.identity="org.eclipse.osgi"; singleton:="true"]

Chain 2:
org.eclipse.gmf.runtime.diagram.ui.printing.render [osgi.identity; type="osgi.bundle"; version:Version="1.9.0.202305230839"; osgi.identity="org.eclipse.gmf.runtime.diagram.ui.printing.render"]
require: (&(osgi.wiring.bundle=org.eclipse.gmf.runtime.draw2d.ui.render.awt)(&(bundle-version>=1.2.0)(!(bundle-version>=2.0.0))))
|
provide: osgi.wiring.bundle; bundle-version:Version="1.11.0.202305230839"; osgi.wiring.bundle="org.eclipse.gmf.runtime.draw2d.ui.render.awt"; singleton:="true"
org.apache.batik.transcoder [osgi.identity; type="osgi.bundle"; version:Version="1.16.0.v20221027-0840"; osgi.identity="org.apache.batik.transcoder"]
import: (&(osgi.wiring.package=org.apache.batik.bridge)(&(version>=1.16.0)(!(version>=2.0.0))))
|
export: osgi.wiring.package=org.apache.batik.bridge; uses:=org.w3c.dom.events
org.apache.batik.bridge [osgi.identity; type="osgi.bundle"; version:Version="1.16.0.v20230210-1249"; osgi.identity="org.apache.batik.bridge"]
import: (osgi.wiring.package=org.w3c.dom.events)
|
export: osgi.wiring.package: org.w3c.dom.events
org.w3c.dom.events [osgi.identity; type="osgi.bundle"; version:Version="3.0.0.draft20060413_v201105210656"; osgi.identity="org.w3c.dom.events"]
at org.eclipse.osgi.container.Module.start(Module.java:463)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel$2.run(ModuleContainer.java:1852)
at org.eclipse.osgi.internal.framework.EquinoxContainerAdaptor$1$1.execute(EquinoxContainerAdaptor.java:136)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1845)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1786)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1750)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1672)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:234)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:345)
  • Attachment: .log
    (Size: 618.91KB, Downloaded 23 times)
Previous Topic:org.w3c.dom.events dependency issue with eclipse 2023-06
Next Topic:GMF Tooling Update
Goto Forum:
  


Current Time: Wed Feb 28 17:24:10 GMT 2024

Powered by FUDForum. Page generated in 0.02005 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top